
package de.ivu.elect.presentation.wahl.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.wahl.menu.WahlParameterPageMenu;

public class WahlParameterExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getExportSearchViewId() {
    return WahlParameterExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.WAHL_PARAMETER_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHL_PARAMETER_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return WahlParameterPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return false;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
